Skip to main content
`Ctrl`+`K`

# NEPType

String with the name of a nonlinear eigensolver.

## Synopsis

    typedef const char *NEPType;
    #define NEPRII       "rii"
    #define NEPSLP       "slp"
    #define NEPNARNOLDI  "narnoldi"
    #define NEPNLEIGS    "nleigs"
    #define NEPCISS      "ciss"
    #define NEPINTERPOL  "interpol"

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetType()`, `NEP`

## Level

beginner

## Location

include/slepcnep.h

## Examples

src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages